$available-font-sizes: (
  xx-small: 'xx-small',
  x-small: 'x-small',
  small: 'small',
  smaller: 'smaller',
  medium: 'medium',
  large: 'large',
  larger: 'larger',
  x-large: 'x-large',
  xx-large: 'xx-large'
);

@each $key, $value in $grid-breakpoints {
  @if ($value > 0) {
    @each $key2, $value2 in $available-font-sizes {
      .font-#{$key}-#{$key2} {
        @include media-breakpoint-up($key) {
          font-size: #{$value2} !important;
        }
      }
    }
  }
}

@each $key, $value in $available-font-sizes {
  .font-#{$key} {
    font-size: #{$value} !important;
  }
}
